org.eclipse.emf.cdo.server.lissome

## Interface ILissomeStore

- All Superinterfaces:
    IStore, IStore.CanHandleClientAssignedIDs

      public interface ILissomeStore
      extends IStore, IStore.CanHandleClientAssignedIDs

  The main entry point to the API of CDO's proprietary Lissome store.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ILissomeStore.Props` Contains symbolic constants that specifiy valid keys of `Lissome store properties`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

      `IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ILissomeStoreAccessor` | `getReader(ISession session)` Returns a reader that can be used to read from this store in the context of the given session.
    `ILissomeStoreAccessor` | `getWriter(ITransaction transaction)` Returns a writer that can be used to write to this store in the context of the given view.

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

      `createObjectID, getCreationTime, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getObjectIDTypes, getPersistentProperties, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, isFirstStart, removePersistentProperties, setPersistentProperties`

- - ### Method Detail

    - #### getReader

          ILissomeStoreAccessor getReader(ISession session)

      Description copied from interface: `IStore`
      Returns a reader that can be used to read from this store in the context of the given session.
      Specified by:
        `getReader` in interface `IStore`
      Parameters:
        `session` - The session that should be used as a context for read access or `null`. The store implementor is free to interpret and use the session in a manner suitable for him or ignore it at all. It is meant only as a hint. Implementor can use it as a key into a cache and/or register a `LifecycleEventAdapter` with it to intercept cleanup on session close. Note however that the session can be `null`, for example during startup of the server while the repositories are initialized but before any user session has been opened.
      Returns:
        a reader that can be used to read from this store in the context of the given session, never `null`.

    - #### getWriter

          ILissomeStoreAccessor getWriter(ITransaction transaction)

      Description copied from interface: `IStore`
      Returns a writer that can be used to write to this store in the context of the given view. The given view is always marked as a transaction.
      Specified by:
        `getWriter` in interface `IStore`
      Parameters:
        `transaction` - The view that must be used as a context for write access. The store implementor is free to interpret and use the view in a manner suitable for him or ignore it at all. It is meant only as a hint. Implementor can use it as a key into a cache and/or register a `LifecycleEventAdapter` with it to intercept cleanup on view close.
      Returns:
        a writer that can be used to write to this store in the context of the given view, never `null`.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html